# services/vault/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: vault
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - serviceaccount-admin.yaml
  - token-reviewer-secret.yaml
  - rbac.yaml
  - configmap.yaml
  - statefulset.yaml
  - k8s-auth-config-cronjob.yaml
  - hermes-auth-role-bootstrap-job.yaml
  - oidc-config-cronjob.yaml
  - service.yaml
  - certificate.yaml
  - middleware.yaml
  - ingress.yaml
  - serverstransport.yaml
generatorOptions:
  disableNameSuffixHash: true
configMapGenerator:
  - name: vault-oidc-config-script
    files:
      - vault_oidc_configure.sh=scripts/vault_oidc_configure.sh
  - name: vault-k8s-auth-config-script
    files:
      - vault_k8s_auth_configure.sh=scripts/vault_k8s_auth_configure.sh
  - name: vault-entrypoint
    files:
      - vault-entrypoint.sh=scripts/vault-entrypoint.sh
